<%
'*************************************************************************
' DO NOT MODIFY THIS SCRIPT IF YOU WANT UPDATES TO WORK!
' Function : These functions and subroutines are used by the scripts
' Product  : eDealerDesign Software Front-end
' Version  : 3.0
' Modified : January 2007
' Copyright: Copyright (C) 2007 eDealerDesign.com 
'            See "license.txt" for this product for details regarding 
'            licensing, usage, disclaimers, distribution and general 
'            copyright requirements. If you don't have a copy of this 
'            file, you may request one at sales@eDealerDesign.com
'*************************************************************************

'*************************************************************************
'Money Formatter - Use Site LCID
'*************************************************************************
function moneyS(aNumber)
	if isNumeric(aNumber) then
		dim tempNumber
		tempNumber   = CDbl(aNumber)
		session.LCID = pStoreLCID	'User configured format
		moneyS		 = formatNumber(round(tempNumber,2),2)
		session.LCID = 1033			'Default format
	else
		moneyS = aNumber
	end if
end function
'*************************************************************************
'Money Formatter - Use Default LCID
'*************************************************************************
function moneyD(aNumber)
	if isNumeric(aNumber) then
		moneyD = formatnumber(round(aNumber,2),2)
	else
		moneyD = aNumber
	end if
end function
'*************************************************************************
'Date formatter
'*************************************************************************
function formatTheDate(strDate)
	if isDate(strDate) then
		dim tempDate
		tempDate	  = CDate(strDate)
		session.LCID  = pStoreLCID	'User configured format
		formatTheDate = formatDateTime(tempDate,vbShortDate)
		session.LCID  = 1033		'Default format
	else
		formatTheDate = strDate
	end if
end function
'*************************************************************************
'Scan list of error FieldNames for possible match
'*************************************************************************
function checkFieldError(byVal FieldName, array1)
	dim i
	FieldName = Lcase(FieldName)
	for i = 0 to Ubound(array1)
		if LCase(array1(i)) = FieldName then
			checkFieldError = "<font color=blue>*</font>"
			exit for
		end if
	next
end function
'*************************************************************************
'Substitute empty or null strings with something else
'*************************************************************************
function emptyString(tempStr,replaceWith)
	if len(trim(tempStr))=0 or isEmpty(tempStr) or isNull(tempStr) then
		emptyString = replaceWith
	else
		emptyString = trim(tempStr)
	end if
end function

'******************************************************************
'Format values entered into HTML form fields to prevent cross-site 
'scripting and other malicious HTML.
'******************************************************************
function validHTML(aString)

	'Declare Variables
	dim tempString
	tempString = trim(aString)
	
	'Check for empty values
	if isNull(tempString) or isEmpty(tempString) or len(tempString) = 0 then
		validHTML = ""
		exit function
	end if

	'Clean up HTML
	tempString = replace(tempString,"<", " ")
	tempString = replace(tempString,">", " ")
	tempString = replace(tempString,"""","'")
	validHTML  = trim(tempString)
	
end function
'******************************************************************
'Format values inserted into SQL statements before executing the 
'SQL statement. This is to prevent SQL injection attacks, and to 
'ensure that certain characters are interpreted correctly.
'******************************************************************
function validSQL(aString,aType)

	'Declare Variables
	dim tempString
	tempString = trim(aString)
	
	'Check for empty values
	if isNull(tempString) or isEmpty(tempString) or len(tempString) = 0 then
		validSQL = ""
		exit function
	end if
	
	'Clean up SQL
	if lCase(tempString) = "null" then				'Nulls
		validSQL = tempString
	else
		select case trim(UCase(aType))
		case "I"									'Integer
			validSQL = CLng(tempString)
		case "D"									'Double
			validSQL = CDbl(tempString)
		case else									'Alphanumeric
			tempString = replace(tempString,"--"," ")
			tempString = replace(tempString,"=="," ")
			tempString = replace(tempString,";", " ")
			tempString = replace(tempString,"'","''")
			validSQL   = tempString
		end select
	end if
	
end function
'******************************************************************
'Check a string for invalid characters
'******************************************************************
function invalidChar(aString,alphaNum,addChars)

	dim i, checkChar

	invalidChar = true 'Assume invalid chars unless proven otherwise

	select case alphaNum
		case 1		'Alphanumeric [a-z, 0-9] is valid
			addChars = lCase("abcdefghijklmnopqrstuvwxyz0123456789" & addChars)
		case 2		'Numeric [0-9] is valid
			addChars = lCase("0123456789" & addChars)
		case 3		'Alpha [a-z] is valid
			addChars = lCase("abcdefghijklmnopqrstuvwxyz" & addChars)
		case else	'Only characters in addChar is valid
	end select
	
	for i = 1 to len(aString)
		checkChar = lCase(mid(aString,i,1))
		if inStr(addChars,checkChar) = 0 then
			invalidChar = true
			exit function
		end if
	next

	invalidChar = false
		
end function
'******************************************************************
'Convert Date to Integer
'******************************************************************
function dateInt(strDate)

	dim qYear, qMonth, qDay, qHour, qMin, qSec
	
	qYear   = year(strDate)
	qMonth  = left("00",2-len(datePart("m",strDate))) & datePart("m",strDate)
	qDay    = left("00",2-len(datePart("d",strDate))) & datePart("d",strDate)
	qHour   = left("00",2-len(datePart("h",strDate))) & datePart("h",strDate)
	qMin    = left("00",2-len(datePart("n",strDate))) & datePart("n",strDate)
	qSec    = left("00",2-len(datePart("s",strDate))) & datePart("s",strDate)
	
	dateInt = qYear & qMonth & qDay & qHour & qMin & qSec

end function
'*********************************************************************
'Check if str1 and str2 matches and return "selected" if they do
'*********************************************************************
function checkMatch(str1,str2)
	if lCase(trim(str1)) = lCase(trim(str2)) then
		checkMatch = " selected "
	else
		checkMatch = ""
	end if
end function
'******************************************************************
'Add delimiters to a date if used in an SQL statement
'******************************************************************
function addDateDel(dateVal)
	if dbType = 0 then					'MS Access
		dateVal = "#" & dateVal & "#"
	else								'SQL Server
		dateVal = "'" & dateVal & "'"
	end if
	addDateDel = dateVal
end function
'*********************************************************************
'DEPRECATED Functions
'*********************************************************************
function checkString(str1)			'No longer required.
	checkString = str1
end function
function money(aNumber)				'Replaced by moneyS() and moneyD()
	money = moneyS(aNumber)
end function
%>